diff --git a/server/settings.c b/server/settings.c
index 735276935d..6d3682fe1e 100644
--- a/server/settings.c
+++ b/server/settings.c
@@ -1937,17 +1959,18 @@ static struct setting settings[] = {
              "number of players at this amount. As more players join, "
              "these AI players will be replaced. When set to zero, "
              "all AI players will be removed."),
-          NULL, NULL, aifill_action,
+          nullptr, nullptr, aifill_action,
           GAME_MIN_AIFILL, GAME_MAX_AIFILL, GAME_DEFAULT_AIFILL)
 
   GEN_ENUM("persistentready", game.info.persistent_ready,
            SSET_META, SSET_NETWORK, SSET_RARE, ALLOW_NONE, ALLOW_BASIC,
-	  N_("When the Readiness of a player gets autotoggled off"),
-	  N_("In pre-game, usually when new players join or old ones leave, "
+          N_("When the Readiness of a player gets autotoggled off"),
+          N_("In pre-game, usually when new players join or old ones leave, "
              "those who have already accepted game to start by toggling \"Ready\" "
              "get that autotoggled off in the changed situation. This setting "
              "can be used to make readiness more persistent."),
-           NULL, NULL, NULL, persistentready_name, GAME_DEFAULT_PERSISTENTREADY)
+           nullptr, nullptr, nullptr, persistentready_name,
+           GAME_DEFAULT_PERSISTENTREADY)
 
   GEN_STRING("nationset", game.server.nationset,
              SSET_PLAYERS, SSET_INTERNAL, SSET_RARE,
@@ -1971,15 +1994,15 @@ static struct setting settings[] = {
           N_("Event cache for this number of turns"),
           N_("Event messages are saved for this number of turns. A value of "
              "0 deactivates the event cache."),
-          NULL, NULL, NULL, GAME_MIN_EVENT_CACHE_TURNS, GAME_MAX_EVENT_CACHE_TURNS,
-          GAME_DEFAULT_EVENT_CACHE_TURNS)
+          nullptr, nullptr, nullptr, GAME_MIN_EVENT_CACHE_TURNS,
+          GAME_MAX_EVENT_CACHE_TURNS, GAME_DEFAULT_EVENT_CACHE_TURNS)
 
   GEN_INT("ec_max_size", game.server.event_cache.max_size,
           SSET_META, SSET_INTERNAL, SSET_SITUATIONAL,
           ALLOW_NONE, ALLOW_BASIC,
           N_("Size of the event cache"),
           N_("This defines the maximal number of events in the event cache."),
-          NULL, NULL, NULL, GAME_MIN_EVENT_CACHE_MAX_SIZE,
+          nullptr, nullptr, nullptr, GAME_MIN_EVENT_CACHE_MAX_SIZE,
           GAME_MAX_EVENT_CACHE_MAX_SIZE, GAME_DEFAULT_EVENT_CACHE_MAX_SIZE)
 
   GEN_BOOL("ec_chat", game.server.event_cache.chat,
@@ -1987,7 +2010,7 @@ static struct setting settings[] = {
            ALLOW_NONE, ALLOW_BASIC,
            N_("Save chat messages in the event cache"),
            N_("If turned on, chat messages will be saved in the event "
-              "cache."), NULL, NULL, GAME_DEFAULT_EVENT_CACHE_CHAT)
+              "cache."), nullptr, nullptr, GAME_DEFAULT_EVENT_CACHE_CHAT)
 
   GEN_BOOL("ec_info", game.server.event_cache.info,
            SSET_META, SSET_INTERNAL, SSET_SITUATIONAL,
@@ -1996,30 +2019,30 @@ static struct setting settings[] = {
            /* TRANS: Don't translate the text between single quotes. */
            N_("If turned on, all cached events will be marked by the turn "
               "and time of the event like '(T2 - 15:29:52)'."),
-           NULL, NULL, GAME_DEFAULT_EVENT_CACHE_INFO)
+           nullptr, nullptr, GAME_DEFAULT_EVENT_CACHE_INFO)
 
   /* Game initialization parameters (only affect the first start of the game,
-   * and not reloads).  Can not be changed after first start of game.
+   * and not reloads). Can not be changed after first start of game.
    */
   GEN_STRING("startunits", game.server.start_units,
              SSET_GAME_INIT, SSET_SOCIOLOGY, SSET_VITAL,
              ALLOW_NONE, ALLOW_BASIC,
              N_("List of players' initial units"),
              N_("This should be a string of characters, each of which "
-		"specifies a unit role. The first character must be native to "
+                "specifies a unit role. The first character must be native to "
                 "at least one \"Starter\" terrain. The characters and their "
-		"meanings are:\n"
-		"    c   = City founder (eg., Settlers)\n"
-		"    w   = Terrain worker (eg., Engineers)\n"
-		"    x   = Explorer (eg., Explorer)\n"
-		"    k   = Gameloss (eg., King)\n"
-		"    s   = Diplomat (eg., Diplomat)\n"
+                "meanings are:\n"
+                "    c   = City founder (eg., Settlers)\n"
+                "    w   = Terrain worker (eg., Engineers)\n"
+                "    x   = Explorer (eg., Explorer)\n"
+                "    k   = Gameloss (eg., King)\n"
+                "    s   = Diplomat (eg., Diplomat)\n"
                 "    f   = Ferryboat (eg., Trireme)\n"
-		"    d   = Ok defense unit (eg., Warriors)\n"
-		"    D   = Good defense unit (eg., Phalanx)\n"
-		"    a   = Fast attack unit (eg., Horsemen)\n"
-		"    A   = Strong attack unit (eg., Catapult)\n"),
-             startunits_callback, NULL, GAME_DEFAULT_START_UNITS)
+                "    d   = Ok defense unit (eg., Warriors)\n"
+                "    D   = Good defense unit (eg., Phalanx)\n"
+                "    a   = Fast attack unit (eg., Horsemen)\n"
+                "    A   = Strong attack unit (eg., Catapult)\n"),
+             startunits_callback, nullptr, GAME_DEFAULT_START_UNITS)
 
   GEN_BOOL("startcity", game.server.start_city,
            SSET_GAME_INIT, SSET_SOCIOLOGY, SSET_VITAL,
@@ -2027,7 +2050,7 @@ static struct setting settings[] = {
            N_("Whether player starts with a city"),
            N_("If this is set, game will start with player's first "
               "city already founded to starting location."),
-           NULL, NULL, GAME_DEFAULT_START_CITY)         
+           nullptr, nullptr, GAME_DEFAULT_START_CITY)
 
   GEN_INT("dispersion", game.server.dispersion,
           SSET_GAME_INIT, SSET_SOCIOLOGY, SSET_SITUATIONAL,
@@ -2035,15 +2058,15 @@ static struct setting settings[] = {
           N_("Area where initial units are located"),
           N_("This is the radius within "
              "which the initial units are dispersed."),
-          NULL, NULL, NULL,
+          nullptr, nullptr, nullptr,
           GAME_MIN_DISPERSION, GAME_MAX_DISPERSION, GAME_DEFAULT_DISPERSION)
 
   GEN_INT("gold", game.info.gold,
           SSET_GAME_INIT, SSET_ECONOMICS, SSET_VITAL,
           ALLOW_NONE, ALLOW_BASIC,
-          N_("Starting gold per player"), 
+          N_("Starting gold per player"),
           N_("At the beginning of the game, each player is given this "
-             "much gold."), NULL, NULL, NULL,
+             "much gold."), nullptr, nullptr, nullptr,
           GAME_MIN_GOLD, GAME_MAX_GOLD, GAME_DEFAULT_GOLD)
 
   GEN_INT("infrapoints", game.info.infrapoints,
@@ -2051,20 +2074,20 @@ static struct setting settings[] = {
           ALLOW_NONE, ALLOW_BASIC,
           N_("Starting infrapoints per player"),
           N_("At the beginning of the game, each player is given this "
-             "many infrapoints."), NULL, NULL, NULL,
+             "many infrapoints."), nullptr, nullptr, nullptr,
           GAME_MIN_INFRA, GAME_MAX_INFRA, GAME_DEFAULT_INFRA)
 
   GEN_INT("techlevel", game.info.tech,
           SSET_GAME_INIT, SSET_SCIENCE, SSET_VITAL,
           ALLOW_NONE, ALLOW_BASIC,
-          N_("Number of initial techs per player"), 
+          N_("Number of initial techs per player"),
           /* TRANS: The string between single quotes is a setting name and
            * should not be translated. */
           N_("At the beginning of the game, each player is given this "
              "many technologies. The technologies chosen are random for "
              "each player. Depending on the value of tech_cost_style in "
              "the ruleset, a big value for 'techlevel' can make the next "
-             "techs really expensive."), NULL, NULL, NULL,
+             "techs really expensive."), nullptr, nullptr, nullptr,
           GAME_MIN_TECHLEVEL, GAME_MAX_TECHLEVEL, GAME_DEFAULT_TECHLEVEL)
 
   GEN_INT("sciencebox", game.info.sciencebox,
@@ -2075,7 +2098,7 @@ static struct setting settings[] = {
              "technology. All tech costs are multiplied by this amount "
              "(as a percentage). The base tech costs are determined by "
              "the ruleset or other game settings."),
-          NULL, NULL, NULL, GAME_MIN_SCIENCEBOX, GAME_MAX_SCIENCEBOX,
+          nullptr, nullptr, nullptr, GAME_MIN_SCIENCEBOX, GAME_MAX_SCIENCEBOX,
           GAME_DEFAULT_SCIENCEBOX)
 
   GEN_BOOL("multiresearch", game.server.multiresearch,
@@ -2084,7 +2107,7 @@ static struct setting settings[] = {
           N_("Allows switching to any technology without wasting old "
              "research. Bulbs are never transferred to new technology. "
              "Techpenalty options are ineffective after enabling that "
-             "option."), NULL, NULL,
+             "option."), nullptr, nullptr,
           GAME_DEFAULT_MULTIRESEARCH)
 
   GEN_INT("techpenalty", game.server.techpenalty,
@@ -2093,7 +2116,7 @@ static struct setting settings[] = {
           N_("If you change your current research technology, and you have "
              "positive research points, you lose this percentage of those "
              "research points. This does not apply when you have just gained "
-             "a technology this turn."), NULL, NULL, NULL,
+             "a technology this turn."), nullptr, nullptr, nullptr,
           GAME_MIN_TECHPENALTY, GAME_MAX_TECHPENALTY,
           GAME_DEFAULT_TECHPENALTY)
 
@@ -2102,8 +2125,8 @@ static struct setting settings[] = {
           N_("Chance to lose a technology while receiving it"),
           N_("The chance that learning a technology by treaty or theft "
              "will fail."),
-          NULL, NULL, NULL, GAME_MIN_TECHLOST_RECV, GAME_MAX_TECHLOST_RECV,
-          GAME_DEFAULT_TECHLOST_RECV)
+          nullptr, nullptr, nullptr, GAME_MIN_TECHLOST_RECV,
+          GAME_MAX_TECHLOST_RECV, GAME_DEFAULT_TECHLOST_RECV)
 
   GEN_INT("techlost_donor", game.server.techlost_donor,
           SSET_RULES, SSET_SCIENCE, SSET_RARE, ALLOW_NONE, ALLOW_BASIC,
@@ -2111,8 +2134,8 @@ static struct setting settings[] = {
           N_("The chance that your civilization will lose a technology if "
              "you teach it to someone else by treaty, or if it is stolen "
              "from you."),
-          NULL, NULL, NULL, GAME_MIN_TECHLOST_DONOR, GAME_MAX_TECHLOST_DONOR,
-          GAME_DEFAULT_TECHLOST_DONOR)
+          nullptr, nullptr, nullptr, GAME_MIN_TECHLOST_DONOR,
+          GAME_MAX_TECHLOST_DONOR, GAME_DEFAULT_TECHLOST_DONOR)
 
   GEN_INT("techleak", game.info.tech_leak_pct,
           SSET_RULES, SSET_SCIENCE, SSET_RARE, ALLOW_NONE, ALLOW_BASIC,
@@ -2122,7 +2145,7 @@ static struct setting settings[] = {
              "percentage of tech's bulb cost gets leaked each turn. "
              "This setting has no effect if the ruleset has disabled "
              "tech leakage."),
-          NULL, NULL, NULL, GAME_MIN_TECHLEAK, GAME_MAX_TECHLEAK,
+          nullptr, nullptr, nullptr, GAME_MIN_TECHLEAK, GAME_MAX_TECHLEAK,
           GAME_DEFAULT_TECHLEAK)
 
   GEN_BOOL("team_pooled_research", game.info.team_pooled_research,
@@ -2131,7 +2154,7 @@ static struct setting settings[] = {
            N_("If this setting is turned on, then the team mates will share "
               "the science research. Else, every player of the team will "
               "have to make its own."),
-           NULL, NULL, GAME_DEFAULT_TEAM_POOLED_RESEARCH)
+           nullptr, nullptr, GAME_DEFAULT_TEAM_POOLED_RESEARCH)
 
   GEN_INT("diplbulbcost", game.server.diplbulbcost,
           SSET_RULES, SSET_SCIENCE, SSET_RARE, ALLOW_NONE, ALLOW_BASIC,
@@ -2140,8 +2163,9 @@ static struct setting settings[] = {
              "lose research points equal to this percentage of the cost to "
              "research a new technology. If this is non-zero, you can end up "
              "with negative research points."),
-          NULL, NULL, NULL,
-          GAME_MIN_DIPLBULBCOST, GAME_MAX_DIPLBULBCOST, GAME_DEFAULT_DIPLBULBCOST)
+          nullptr, nullptr, nullptr,
+          GAME_MIN_DIPLBULBCOST, GAME_MAX_DIPLBULBCOST,
+          GAME_DEFAULT_DIPLBULBCOST)
 
   GEN_INT("diplgoldcost", game.server.diplgoldcost,
           SSET_RULES, SSET_SCIENCE, SSET_RARE, ALLOW_NONE, ALLOW_BASIC,
@@ -2149,8 +2173,9 @@ static struct setting settings[] = {
           N_("When transferring gold in diplomatic treaties, this percentage "
              "of the agreed sum is lost to both parties; it is deducted from "
              "the donor but not received by the recipient."),
-          NULL, NULL, NULL,
-          GAME_MIN_DIPLGOLDCOST, GAME_MAX_DIPLGOLDCOST, GAME_DEFAULT_DIPLGOLDCOST)
+          nullptr, nullptr, nullptr,
+          GAME_MIN_DIPLGOLDCOST, GAME_MAX_DIPLGOLDCOST,
+          GAME_DEFAULT_DIPLGOLDCOST)
 
   GEN_INT("incite_gold_loss_chance", game.server.incite_gold_loss_chance,
           SSET_RULES, SSET_SCIENCE, SSET_RARE, ALLOW_NONE, ALLOW_BASIC,
@@ -2158,7 +2183,7 @@ static struct setting settings[] = {
           N_("When unit trying to incite revolt is eliminated, half of the gold "
              "(or quarter, if unit was caught), prepared to bribe citizens, "
              "can be lost or captured by enemy."),
-          NULL, NULL, NULL,
+          nullptr, nullptr, nullptr,
           GAME_MIN_INCITE_GOLD_LOSS_CHANCE, GAME_MAX_INCITE_GOLD_LOSS_CHANCE,
           GAME_DEFAULT_INCITE_GOLD_LOSS_CHANCE)
 
@@ -2169,7 +2194,7 @@ static struct setting settings[] = {
              "gold, there is chance that this gold would be captured by "
              "city defender. Transfer tax would be applied, though. "
              "This setting is irrelevant, if incite_gold_loss_chance is zero."),
-          NULL, NULL, NULL,
+          nullptr, nullptr, nullptr,
           GAME_MIN_INCITE_GOLD_CAPT_CHANCE, GAME_MAX_INCITE_GOLD_CAPT_CHANCE,
           GAME_DEFAULT_INCITE_GOLD_CAPT_CHANCE)
 
@@ -2180,7 +2205,7 @@ static struct setting settings[] = {
              "lose research points equal to this percentage of the cost to "
              "research a new technology. If this is non-zero, you can end up "
              "with negative research points."),
-          NULL, NULL, NULL,
+          nullptr, nullptr, nullptr,
           GAME_MIN_CONQUERCOST, GAME_MAX_CONQUERCOST,
           GAME_DEFAULT_CONQUERCOST)
 
@@ -2195,7 +2220,7 @@ static struct setting settings[] = {
              "equal to this percentage of the cost to research a new "
              "technology. If this is non-zero, you can end up "
              "with negative research points."),
-          NULL, NULL, NULL,
+          nullptr, nullptr, nullptr,
           GAME_MIN_FREECOST, GAME_MAX_FREECOST, GAME_DEFAULT_FREECOST)
 
   GEN_INT("techlossforgiveness", game.info.techloss_forgiveness,
@@ -2206,7 +2231,7 @@ static struct setting settings[] = {
              "research, you forget a technology you already knew.\n"
              "The special value -1 prevents loss of technology regardless of "
              "research points."),
-          NULL, NULL, NULL,
+          nullptr, nullptr, nullptr,
           GAME_MIN_TECHLOSSFG, GAME_MAX_TECHLOSSFG,
           GAME_DEFAULT_TECHLOSSFG)
 
@@ -2219,7 +2244,7 @@ static struct setting settings[] = {
             "sufficient to make it positive).\n"
             "The special value -1 means that your research balance is always "
             "restored to zero, regardless of your previous shortfall."),
-         NULL, NULL, NULL,
+         nullptr, nullptr, nullptr,
          GAME_MIN_TECHLOSSREST, GAME_MAX_TECHLOSSREST,
          GAME_DEFAULT_TECHLOSSREST)
 
@@ -2230,7 +2255,7 @@ static struct setting settings[] = {
           N_("This is the base amount of food required to grow a city. "
              "This value is multiplied by another factor that comes from "
              "the ruleset and is dependent on the size of the city."),
-          NULL, NULL, NULL,
+          nullptr, nullptr, nullptr,
           GAME_MIN_FOODBOX, GAME_MAX_FOODBOX, GAME_DEFAULT_FOODBOX)
 
   GEN_INT("aqueductloss", game.server.aqueductloss,
@@ -2241,8 +2266,8 @@ static struct setting settings[] = {
              "this is the base percentage of its foodbox that is lost "
              "each turn; the penalty may be reduced by buildings or other "
              "circumstances, depending on the ruleset."),
-          NULL, NULL, NULL,
-          GAME_MIN_AQUEDUCTLOSS, GAME_MAX_AQUEDUCTLOSS, 
+          nullptr, nullptr, nullptr,
+          GAME_MIN_AQUEDUCTLOSS, GAME_MAX_AQUEDUCTLOSS,
           GAME_DEFAULT_AQUEDUCTLOSS)
 
   GEN_INT("shieldbox", game.info.shieldbox,
@@ -2252,13 +2277,13 @@ static struct setting settings[] = {
           N_("This affects how quickly units and buildings can be "
              "produced.  The base costs are multiplied by this value (as "
              "a percentage)."),
-          NULL, NULL, NULL,
+          nullptr, nullptr, nullptr,
           GAME_MIN_SHIELDBOX, GAME_MAX_SHIELDBOX, GAME_DEFAULT_SHIELDBOX)
 
   /* Notradesize and fulltradesize used to have callbacks to prevent them
-   * from being set illegally (notradesize > fulltradesize).  However this
+   * from being set illegally (notradesize > fulltradesize). However this
    * provided a problem when setting them both through the client's settings
-   * dialog, since they cannot both be set atomically.  So the callbacks were
+   * dialog, since they cannot both be set atomically. So the callbacks were
    * removed and instead the game now knows how to deal with invalid
    * settings. */
   GEN_INT("fulltradesize", game.info.fulltradesize,
@@ -2270,8 +2295,8 @@ static struct setting settings[] = {
              "The penalty is 100% (no trade at all) for sizes up to "
              "'notradesize', and decreases gradually to 0% (no penalty "
              "except the normal corruption) for size='fulltradesize'. "
-             "See also 'notradesize'."), NULL, NULL, NULL,
-          GAME_MIN_FULLTRADESIZE, GAME_MAX_FULLTRADESIZE, 
+             "See also 'notradesize'."), nullptr, nullptr, nullptr,
+          GAME_MIN_FULLTRADESIZE, GAME_MAX_FULLTRADESIZE,
           GAME_DEFAULT_FULLTRADESIZE)
 
   GEN_INT("notradesize", game.info.notradesize,
@@ -2283,7 +2308,7 @@ static struct setting settings[] = {
              "is larger than this amount. The produced trade increases "
              "gradually for cities larger than 'notradesize' and smaller "
              "than 'fulltradesize'. See also 'fulltradesize'."),
-          NULL, NULL, NULL,
+          nullptr, nullptr, nullptr,
           GAME_MIN_NOTRADESIZE, GAME_MAX_NOTRADESIZE,
           GAME_DEFAULT_NOTRADESIZE)
 
@@ -2297,7 +2322,7 @@ static struct setting settings[] = {
              "determines how big percentage of the bonus calculation is "
              "relative to world size, and how much only absolute distance "
              "matters."),
-          NULL, NULL, NULL,
+          nullptr, nullptr, nullptr,
           GAME_MIN_TRADEWORLDRELPCT, GAME_MAX_TRADEWORLDRELPCT,
           GAME_DEFAULT_TRADEWORLDRELPCT)
 
@@ -2311,7 +2336,7 @@ static struct setting settings[] = {
              "at least two clear tiles in any direction between all existing "
              "cities and the new city site. A value of 1 removes any such "
              "restriction on city placement."),
-          NULL, NULL, NULL,
+          nullptr, nullptr, nullptr,
           GAME_MIN_CITYMINDIST, GAME_MAX_CITYMINDIST,
           GAME_DEFAULT_CITYMINDIST)
 
@@ -2319,21 +2344,21 @@ static struct setting settings[] = {
            SSET_RULES, SSET_SOCIOLOGY, SSET_RARE, ALLOW_NONE, ALLOW_BASIC,
            N_("Technology trading"),
            N_("If turned off, trading technologies in the diplomacy dialog "
-              "is not allowed."), NULL, NULL,
+              "is not allowed."), nullptr, nullptr,
            GAME_DEFAULT_TRADING_TECH)
 
   GEN_BOOL("trading_gold", game.info.trading_gold,
            SSET_RULES, SSET_SOCIOLOGY, SSET_RARE, ALLOW_NONE, ALLOW_BASIC,
            N_("Gold trading"),
            N_("If turned off, trading gold in the diplomacy dialog "
-              "is not allowed."), NULL, NULL,
+              "is not allowed."), nullptr, nullptr,
            GAME_DEFAULT_TRADING_GOLD)
 
   GEN_BOOL("trading_city", game.info.trading_city,
            SSET_RULES, SSET_SOCIOLOGY, SSET_RARE, ALLOW_NONE, ALLOW_BASIC,
            N_("City trading"),
            N_("If turned off, trading cities in the diplomacy dialog "
-              "is not allowed."), NULL, NULL,
+              "is not allowed."), nullptr, nullptr,
            GAME_DEFAULT_TRADING_CITY)
 
   GEN_ENUM("caravan_bonus_style", game.info.caravan_bonus_style,
@@ -2344,7 +2369,7 @@ static struct setting settings[] = {
               "of source and destination with multipliers for overseas and "
               "international destinations. LOGARITHMIC bonuses are "
               "proportional to log^2(distance + trade)."),
-           NULL, NULL, NULL, caravanbonusstyle_name,
+           nullptr, nullptr, nullptr, caravanbonusstyle_name,
            GAME_DEFAULT_CARAVAN_BONUS_STYLE)
 
   GEN_ENUM("trade_revenue_style", game.info.trade_revenue_style,
@@ -2356,8 +2381,8 @@ static struct setting settings[] = {
              "and international routes. "
              "SIMPLE revenues are proportional to the average trade of the "
              "two cities."),
-	  NULL, NULL, NULL, traderevenuestyle_name,
-          GAME_DEFAULT_TRADE_REVENUE_STYLE)
+           nullptr, nullptr, nullptr, traderevenuestyle_name,
+           GAME_DEFAULT_TRADE_REVENUE_STYLE)
 
     GEN_INT("trademindist", game.info.trademindist,
           SSET_RULES, SSET_ECONOMICS, SSET_RARE, ALLOW_NONE, ALLOW_BASIC,
@@ -2366,7 +2391,7 @@ static struct setting settings[] = {
              "a trade route, they must be at least this far apart on the "
              "map. For square grids, the distance is calculated as "
              "\"Manhattan distance\", that is, the sum of the displacements "
-             "along the x and y directions."), NULL, NULL, NULL,
+             "along the x and y directions."), nullptr, nullptr, nullptr,
           GAME_MIN_TRADEMINDIST, GAME_MAX_TRADEMINDIST,
           GAME_DEFAULT_TRADEMINDIST)
 
@@ -2377,7 +2402,7 @@ static struct setting settings[] = {
           N_("Sets the number of turns between rapture growth of a city. "
              "If set to n a city will grow after celebrating for n+1 "
              "turns."),
-          NULL, NULL, NULL,
+          nullptr, nullptr, nullptr,
           GAME_MIN_RAPTUREDELAY, GAME_MAX_RAPTUREDELAY,
           GAME_DEFAULT_RAPTUREDELAY)
 
@@ -2389,7 +2414,7 @@ static struct setting settings[] = {
              "if any are defined by the ruleset. The relative frequency "
              "of disaster types is set by the ruleset. Zero prevents "
              "any random disasters from occurring."),
-          NULL, NULL, NULL,
+          nullptr, nullptr, nullptr,
           GAME_MIN_DISASTERS, GAME_MAX_DISASTERS,
           GAME_DEFAULT_DISASTERS)
 
@@ -2397,13 +2422,14 @@ static struct setting settings[] = {
            SSET_RULES, SSET_SOCIOLOGY, SSET_RARE, ALLOW_NONE, ALLOW_BASIC,
            N_("AI trait distribution method"),
            N_("How trait values are given to AI players."),
-           NULL, NULL, NULL, trait_dist_name, GAME_DEFAULT_TRAIT_DIST_MODE)
+           nullptr, nullptr, nullptr, trait_dist_name,
+           GAME_DEFAULT_TRAIT_DIST_MODE)
 
   GEN_INT("razechance", game.server.razechance,
           SSET_RULES, SSET_MILITARY, SSET_RARE, ALLOW_NONE, ALLOW_BASIC,
           N_("Chance for conquered building destruction"),
           N_("When a player conquers a city, each city improvement has this "
-             "percentage chance to be destroyed."), NULL, NULL, NULL,
+             "percentage chance to be destroyed."), nullptr, nullptr, nullptr,
           GAME_MIN_RAZECHANCE, GAME_MAX_RAZECHANCE, GAME_DEFAULT_RAZECHANCE)
 
   GEN_INT("occupychance", game.server.occupychance,
@@ -2415,7 +2441,7 @@ static struct setting settings[] = {
              "the combat (and no enemy units remain in the tile). If "
              "set to a value between 0 and 100, this will be used as "
              "the percent chance of \"occupying\" territory."),
-          NULL, NULL, NULL,
+          nullptr, nullptr, nullptr,
           GAME_MIN_OCCUPYCHANCE, GAME_MAX_OCCUPYCHANCE,
           GAME_DEFAULT_OCCUPYCHANCE)
 
@@ -2424,7 +2450,7 @@ static struct setting settings[] = {
            N_("Turn on/off server-side autoattack"),
            N_("If set to on, units with moves left will automatically "
               "consider attacking enemy units that move adjacent to them."),
-           NULL, NULL, GAME_DEFAULT_AUTOATTACK)
+           nullptr, nullptr, GAME_DEFAULT_AUTOATTACK)
 
   GEN_BOOL("killstack", game.info.killstack,
            SSET_RULES_SCENARIO, SSET_MILITARY, SSET_RARE,
@@ -2434,7 +2460,7 @@ static struct setting settings[] = {
               "and is not inside a city or suitable base, all units in the same "
               "tile are destroyed along with the defender. If this is disabled, "
               "only the defender unit is destroyed."),
-           NULL, NULL, GAME_DEFAULT_KILLSTACK)
+           nullptr, nullptr, GAME_DEFAULT_KILLSTACK)
 
   GEN_BOOL("killcitizen", game.info.killcitizen,
            SSET_RULES, SSET_MILITARY, SSET_RARE, ALLOW_NONE, ALLOW_BASIC,
@@ -2443,7 +2469,7 @@ static struct setting settings[] = {
               "after a successful attack by an enemy unit. If this is "
               "disabled, population is never reduced. Even when this is "
               "enabled, only some units may kill citizens."),
-           NULL, NULL, GAME_DEFAULT_KILLCITIZEN)
+           nullptr, nullptr, GAME_DEFAULT_KILLCITIZEN)
 
   GEN_INT("killunhomed", game.server.killunhomed,
           SSET_RULES, SSET_MILITARY, SSET_RARE, ALLOW_NONE, ALLOW_BASIC,
@@ -2453,7 +2479,7 @@ static struct setting settings[] = {
              "given by 'killunhomed' percent of the hitpoints of the unit "
              "type. At least one hitpoint is lost every turn until the "
              "death of the unit."),
-          NULL, NULL, NULL, GAME_MIN_KILLUNHOMED, GAME_MAX_KILLUNHOMED,
+          nullptr, nullptr, nullptr, GAME_MIN_KILLUNHOMED, GAME_MAX_KILLUNHOMED,
           GAME_DEFAULT_KILLUNHOMED)
 
   GEN_ENUM("borders", game.info.borders,
@@ -2466,7 +2492,7 @@ static struct setting settings[] = {
               "SEE_INSIDE and EXPAND makes everything inside a player's "
               "borders visible at once. ENABLED will, in some rulesets, "
               "grant the same visibility if certain conditions are met."),
-           NULL, NULL, NULL, borders_name, GAME_DEFAULT_BORDERS)
+           nullptr, nullptr, nullptr, borders_name, GAME_DEFAULT_BORDERS)
 
   GEN_ENUM("happyborders", game.info.happyborders,
            SSET_RULES, SSET_MILITARY, SSET_SITUATIONAL,
@@ -2474,7 +2500,7 @@ static struct setting settings[] = {
            N_("Units inside borders cause no unhappiness"),
            N_("If this is set, units will not cause unhappiness when "
               "inside your borders, or even allies borders, depending "
-              "on value."), NULL, NULL, NULL,
+              "on value."), nullptr, nullptr, nullptr,
            happyborders_name, GAME_DEFAULT_HAPPYBORDERS)
 
   GEN_ENUM("diplomacy", game.info.diplomacy,
@@ -2483,7 +2509,7 @@ static struct setting settings[] = {
            N_("Ability to do diplomacy with other players"),
            N_("This setting controls the ability to do diplomacy with "
               "other players."),
-           NULL, NULL, NULL, diplomacy_name, GAME_DEFAULT_DIPLOMACY)
+           nullptr, nullptr, nullptr, diplomacy_name, GAME_DEFAULT_DIPLOMACY)
 
   GEN_ENUM("citynames", game.server.allowed_city_names,
            SSET_RULES, SSET_SOCIOLOGY, SSET_RARE, ALLOW_NONE, ALLOW_BASIC,
@@ -2501,7 +2527,8 @@ static struct setting settings[] = {
               "\"Globally unique\", but a player isn't allowed to use a "
               "default city name of another nation unless it is a default "
               "for their nation also."),
-           NULL, NULL, NULL, citynames_name, GAME_DEFAULT_ALLOWED_CITY_NAMES)
+           nullptr, nullptr, nullptr, citynames_name,
+           GAME_DEFAULT_ALLOWED_CITY_NAMES)
 
   GEN_ENUM("plrcolormode", game.server.plrcolormode,
            SSET_RULES, SSET_INTERNAL, SSET_RARE, ALLOW_NONE, ALLOW_BASIC,
@@ -2533,14 +2560,14 @@ static struct setting settings[] = {
               "get a random color from the list in the ruleset.\n"
               "Regardless of this setting, individual player colors can be "
               "changed after the game starts with the 'playercolor' command."),
-           NULL, plrcol_validate, plrcol_action, plrcol_name,
+           nullptr, plrcol_validate, plrcol_action, plrcol_name,
            GAME_DEFAULT_PLRCOLORMODE)
 
   /* Flexible rules: these can be changed after the game has started.
    *
    * The distinction between "rules" and "flexible rules" is not always
    * clearcut, and some existing cases may be largely historical or
-   * accidental.  However some generalizations can be made:
+   * accidental. However some generalizations can be made:
    *
    *   -- Low-level game mechanics should not be flexible (eg, rulesets).
    *   -- Options which would affect the game "state" (city production etc)
@@ -2557,15 +2584,16 @@ static struct setting settings[] = {
             * should not be translated. */
            N_("This setting controls how frequently the barbarians appear "
               "in the game. See also the 'onsetbarbs' setting."),
-           NULL, NULL, NULL, barbarians_name, GAME_DEFAULT_BARBARIANRATE)
+           nullptr, nullptr, nullptr, barbarians_name,
+           GAME_DEFAULT_BARBARIANRATE)
 
   GEN_INT("onsetbarbs", game.server.onsetbarbarian,
           SSET_RULES_FLEXIBLE, SSET_MILITARY, SSET_VITAL,
           ALLOW_NONE, ALLOW_BASIC,
           N_("Barbarian onset turn"),
           N_("Barbarians will not appear before this turn."),
-          NULL, NULL, NULL,
-          GAME_MIN_ONSETBARBARIAN, GAME_MAX_ONSETBARBARIAN, 
+          nullptr, nullptr, nullptr,
+          GAME_MIN_ONSETBARBARIAN, GAME_MAX_ONSETBARBARIAN,
           GAME_DEFAULT_ONSETBARBARIAN)
 
   GEN_ENUM("revolentype", game.info.revolentype,
@@ -2577,7 +2605,8 @@ static struct setting settings[] = {
               "many times any player has changed to this type of government "
               "before, so it becomes easier to establish a new system of "
               "government if it has been done before."),
-           NULL, NULL, NULL, revolentype_name, GAME_DEFAULT_REVOLENTYPE)
+           nullptr, nullptr, nullptr, revolentype_name,
+           GAME_DEFAULT_REVOLENTYPE)
 
   GEN_INT("revolen", game.server.revolution_length,
           SSET_RULES_FLEXIBLE, SSET_SOCIOLOGY, SSET_RARE,
@@ -2586,8 +2615,8 @@ static struct setting settings[] = {
           N_("When changing governments, a period of anarchy will occur. "
              "Value of this setting, used the way 'revolentype' setting "
              "dictates, defines the length of the anarchy."),
-          NULL, NULL, NULL,
-          GAME_MIN_REVOLUTION_LENGTH, GAME_MAX_REVOLUTION_LENGTH, 
+          nullptr, nullptr, nullptr,
+          GAME_MIN_REVOLUTION_LENGTH, GAME_MAX_REVOLUTION_LENGTH,
           GAME_DEFAULT_REVOLUTION_LENGTH)
 
   GEN_BOOL("fogofwar", game.info.fogofwar,
